{% extends 'main/base.html' %}
{% block content %}
  <section class="container-fluid flex-grow">
    <div class="container-fluid">
      <div class="row justify-content-center" style="padding-top: 15px">
        <div class="col-md-8 col-sm-12" id="news-cards" style="padding-bottom: 15px">
          {% if posts_list %}
              {% for post in posts_list %}
                <div class="card">
                  <div class="card-body">
                    <h6 class="card-subtitle mb-2 text-muted">{{ post.pub_date_time|date:'d.m.y' }}</h6>
                    {% if post.tags.all|length > 0 %}
                      {% for tag in post.tags.all %}
                        <a href="/news/tag/{{ tag.slug }}"
                           class="badge badge-success">{{ tag }}</a>
                      {% endfor %}
                    {% endif %}
                    <a href="{% url 'news:post' post.slug %}"><h4
                        class="card-title">{{ post.title }}</h4></a>
                  </div>
                </div>
              {% endfor %}
            <a class="btn btn-outline-primary" id="all-news" href="{% url "news:index" %}" role="button">Все
              новости</a>

          {% endif %}
        </div>
        <div class="col-md-4 col-sm-12">
          <script type="text/javascript" src="https://vk.com/js/api/openapi.js?162"></script>

          <!-- VK Widget -->
          <div id="vk_groups" style="width: auto"></div>
          <script type="text/javascript">
              VK.Widgets.Group("vk_groups", {mode: 4, wide: 1, height: "700", width: "auto"}, 189024421);
          </script>
        </div>
      </div>


    </div>
  </section>
{% endblock %}
